%define momorel 4
%define plus_ver 0.03

Summary: gnuplot - an interactive plotting program
Name: gnuplot
Version: 3.8j.0
Release: %{momorel}m
%NoSource 0 http://download.sourceforge.net/gnuplot/%{name}-%{version}.tar.gz 929e210e2d6585d34b029fa59d39915f
%NoSource 1 http://f21.aaacafe.ne.jp/~oden/software/%{name}-%{version}+%{plus_ver}.patch.tar.gz c983e325545c69167c18f3afacb7e600
Patch0: gnuplot-3.8j.0+0.01-configure.patch
License: see "Copyright"
Group: Applications/Engineering
URL: http://www.gnuplot.info/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: glibc-devel, readline-devel, XFree86-devel
BuildPreReq: groff, tetex-latex, tetex-dvipsk, dvipdfm
BuildPreReq: zlib-devel, libjpeg-devel, gd-devel 
BuildPreReq: libpng-devel >= 1.2.2
BuildPreReq: automake, autoconf
BuildPreReq: emacs
Prereq: info

%description
Gnuplot is a command-line driven interactive function plotting utility.
Gnuplot supports many different types of terminals, plotters, and printers
(including many color devices, and pseudo-devices like LaTeX) and is
easily extensible to include new devices.

%prep

%setup -q -a1
patch -p1 < gnuplot-%{version}+%{plus_ver}.patch
%patch -p0 -b .gp+config~

%build
aclocal
automake
autoconf-2.13

%configure \
    --with-x \
    --without-linux-vga \
    --with-readline \
    --enable-history-file \
    --with-jpeg \
    --with-libpng \
    --with-gd \
    --with-freetype \
    --with-cwdrc \
    --enable-thin-splines \
    --with-gihdir=%{_datadir}
make clean all
cd docs
make gnuplot.info gnuplot.html
cp gnuplot.html ..

%install
rm -rf %{buildroot}
%makeinstall GIHDIR=%{buildroot}/%{_datadir}
mkdir -p %{buildroot}%{_infodir}
install -c -m 644 docs/gnuplot.info %{buildroot}%{_infodir}/gnuplot.info

pushd docs
make grotxt
make grodvi
make grops
dvipdfm gnuplot.dvi

pushd psdoc
make all
dvipdfm ps_fontfile_doc.dvi
popd # psdoc
popd # docs

# remove
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
if [ -x /sbin/install-info ]; then
    /sbin/install-info %{_infodir}/gnuplot.info %{_infodir}/dir
fi

%preun
if [ $1 = 0 -a -x /sbin/install-info ]; then
    /sbin/install-info --delete %{_infodir}/gnuplot.info %{_infodir}/dir
fi

%files
%defattr(-,root,root,-)
%doc BUGS ChangeLog CodeStyle Copyright FAQ INSTALL* NEWS
%doc PATCHLEVEL PGPKEYS PORTING README* TODO VERSION
%doc docs/gnuplot.txt docs/gnuplot.pdf docs/gnuplot.ps
%doc docs/psdoc/ps_symbols.ps
%doc docs/psdoc/ps_fontfile_doc.pdf docs/psdoc/ps_fontfile_doc.ps
%doc demo
%{_bindir}/gnuplot
%{_libexecdir}/gnuplot
%{_datadir}/gnuplot.gih
%{_datadir}/emacs/site-lisp/gnuplot-gui.el*
%{_datadir}/emacs/site-lisp/gnuplot.el*
%{_datadir}/emacs/site-lisp/info-look.20.2.el*
%{_datadir}/emacs/site-lisp/info-look.20.3.el*
%{_mandir}/man1/gnuplot.1*
%{_infodir}/gnuplot.info*

%changelog
* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.8j.0-4m)
- patch verup

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (3.8j.0-3m)
- revised spec for enabling rpm 4.2.

* Thu Dec 18 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (3.8j.0-2m)
- apply "plus patch" for gnuplot-3.8
  see http://f21.aaacafe.ne.jp/~oden/software/gnuplot.html

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (kossori)
- License: see "Copyright" instead of "see Copyright"

* Sun Oct 19 2003 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.8j.0-1m)
- update to 3.8j.0

* Sat Oct 18 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.8i.0-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Jul 28 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.8i.0-3m)
- modify BuildPreReq: tetex-dvips -> tetex-dvipsk

* Mon Jan 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.8i.0-2m)
- rebuild against for gd

* Mon Jan 06 2003 Kenta MURATA <muraken@momonga-linux.org>
- (3.8i.0-1m)
- version up to 3.8i.0.

* Tue Oct 15 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.7.2-1m)
- change version notation

* Mon May  6 2002 zunda <zunda@kondara.org>
- (3.7.2+1.2.0-0.4k)
- gnuplot3.7.2+1.2.0rc2
- source update to rc2

* Tue Apr 30 2002 zunda <zunda@kondara.org>
- (3.7.1+1.2.0-0.3k)
- Oops, need to distribute the patch along with the binary package!

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.7.1+1.2.0-0.2k)
- /sbin/install-info -> info in PreReq.

* Mon Apr 29 2002 zunda <zunda@kondara.org>
- (3.7.2+1.2.0-0.1k)
- gnuplot3.7.2+1.2.0rc1
- source update
- demo/ added to %doc

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.7.1+1.2.0-8k)
- rebuild against libpng 1.2.2.

* Sat Dec  1 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (3.7.1+1.2.0-6k)
- change URL

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (3.7.1+1.2.0-4k)
- rebuild against libpng 1.2.0.

* Wed Jan 25 2001 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (3.7.1+1.2.0-3k)
- update patch to 1.2.0
- do not use GNU readline !

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Fri Jul 14 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (3.7.1+1.1.9-2k)
- remove gd from Requires:
- touch all files before configure instead of fix in %install 

* Wed May 24 2000 AYUHANA Tomonori <l@kondara.org>
- fix %install section (binary contains %{buildroot})
- add -q at %setup

* Sun May 14 2000 SUGAWARA Zenta <sugazen@pop02.odn.ne.jp>
- move %defattr to the head of %files section

* Fri Jan 28 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- Kondara fix
- prefix changed and optimization flags added

* Fri Dec  3 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- apply gnuplot3.7.1+1.1.9.bugfix

* Mon Nov  8 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7.1+1.1.9

* Fri Sep  3 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7.0.1+1.1.9

* Tue Jun 11 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- add information about /sbin/install-info

* Tue Jun  1 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7+1.1.9

* Tue Jan 29 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- first release
